OpenJPEG 2.3.0

Data Fields
subfaixbox4_param Struct Reference

4byte parameters of fragment array index box More...

`#include <faixbox_manager.h>`

## Data Fields
Byte4_t | nmax
| maximum number of valid elements in any row of the array More...
Byte4_t | m
| number of raws of the array More...
faixelem4_param_t * | elem
| dynamic array pointer of faix elements More...
Byte4_t * | aux
| dynamic array pointer of auxiliary More...

## Detailed Description

4byte parameters of fragment array index box

## Field Documentation

## ◆ aux

Byte4_t* subfaixbox4_param::aux

dynamic array pointer of auxiliary

Referenced by gene_faixbox(), and get_elemAux().

## ◆ elem

faixelem4_param_t* subfaixbox4_param::elem

dynamic array pointer of faix elements

Referenced by gene_faixbox(), get_elemLen(), and get_elemOff().

## ◆ m

Byte4_t subfaixbox4_param::m

number of raws of the array

Referenced by gene_faixbox(), and get_m().

## ◆ nmax

Byte4_t subfaixbox4_param::nmax

maximum number of valid elements in any row of the array

Referenced by gene_faixbox(), and get_nmax().

The documentation for this struct was generated from the following file:

- faixbox_manager.h